## ros-one-respeaker-ros 2.1.31-19jammy.20260116.2201

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260116.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 22:01:20 +0000
