## ros-one-respeaker-ros 2.1.31-19jammy.20260207.2222

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260207.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:22:06 +0000
