## ros-one-respeaker-ros 2.1.31-19jammy.20260222.0005

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260222.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:05:17 +0000
