=== debian/control ===
Source: ros-one-respeaker-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-dynamic-reconfigure
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-respeaker-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-numpy, python3-pyaudio, ros-one-angles, ros-one-audio-common-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-speech-recognition-msgs, ros-one-std-msgs, ros-one-tf
Description: The respeaker_ros package
