## ros-one-respeaker-ros 2.1.31-19noble.20260116.2154

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20260116.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:54:12 +0000
