## ros-one-respeaker-ros 2.1.31-19noble.20260207.2219

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20260207.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:19:45 +0000
